conduit-extra-1.3.0: Batteries included conduit: adapters for common libraries.

Safe Haskell | None
Language | Haskell98

Data.Conduit.Foldl

Description

Adapter module to work with the foldl package.

Since: 1.1.16

Synopsis

- sinkFold :: Monad m => (x -> a -> x) -> x -> (x -> b) -> ConduitT a o m b
- sinkFoldM :: Monad m => (x -> a -> m x) -> m x -> (x -> m b) -> ConduitT a o m b

# Documentation

sinkFold :: Monad m => (x -> a -> x) -> x -> (x -> b) -> ConduitT a o m b #

Convert a left fold into a `Consumer`. This function is intended to be used with `purely` from the foldl package.

Since: 1.1.16

sinkFoldM :: Monad m => (x -> a -> m x) -> m x -> (x -> m b) -> ConduitT a o m b #

Convert a monadic left fold into a `Consumer`. This function is intended to be used with `impurely` from the foldl package.

Since: 1.1.16